[package]
name        = "maraiah"
version     = "0.1.0"
authors     = ["Alison Watson <marrub@greyserv.net>"]
description = "Marathon editing tools."
homepage    = "https://greyserv.net/maraiah/"
repository  = "http://git.greyserv.net/marrub/Maraiah"
readme      = "README.md"
license     = "CC0-1.0"
edition     = "2018"
publish     = false

[features]
serde_obj = ["serde"]

[workspace]
members = ["source/leela", "source/tycho"]

[dependencies]
bitflags = "1.0"
failure  = {version = "0.1", features = ["std"]}
serde    = {version = "1.0", features = ["derive"], optional = true}
memchr   = "2.0"

[profile.dev]
opt-level = 1

[profile.release]
codegen-units = 1
lto           = true

[lib]
name = "maraiah"
path = "source/lib.rs"
